Subject: Re: Your Cygwin/Python patch
From: Jason Tishler <[email-masked]>
To: David Abrahams <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 19 Feb 2001 09:09:31 -0500

Dave,

On Sun, Feb 18, 2001 at 10:47:27AM -0500, David Abrahams wrote:
> Been trying to get your patch
> (http://www.cygwin.com/ml/cygwin/2000-11/msg00471.html) to work on Python2.0
> with the latest Cygwin release. Not a big expert on how cygwin is supposed
> to deal with shared libs, but just following your directions gives link
> errors - none of the Python library symbols can be found. Any clues for me?

In the future, please post to the list instead of emailing me directly
so others can benefit too.

My suggestion is to use Python 2.1a2 since it builds OOTB under Cygwin
1.1.8 or later.  Please see the following for details:

    http://www.cygwin.com/ml/cygwin-apps/2001-02/msg00004.html

Nevertheless, if you still want to use Python 2.0, I can offer the
following:

> gcc   -g -O2 -Wall -Wstrict-prototypes -I/usr/local/include/python2.0 -I/usr/local/include/python2.0 -DHAVE_CONFIG_H -c ./xxmodule.c
> gcc -shared  xxmodule.o  -o xxmodule.dll
> xxmodule.o(.text+0xf): undefined reference to `_PyObject_New'
> [snip]
> collect2: ld returned 1 exit status
> make: *** [xxmodule.dll] Error 1

The above problem is due to a missing "-DUSE_DL_IMPORT" flag during
compilation and missing "-L$(LIBPL) -lpython$(VERSION)" flags during
linking.  Did you do a make install before trying to run the make_shared
shell script?  If not, then that would explain the above behavior.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple